****** Example 3 Reliability with Partnership data;

* Output options: all can be turned on/off by adding or removing the 'NO':
  page number, date, centering, or page breaks, page length and width; 
OPTIONS nonumber nodate nocenter formdlim='-' pagesize=MAX linesize=MAX; TITLE;

* Location of original SPSS data files;
  %LET filesave=C:\Dropbox\22_PSQF6249\FQOL and Partnership;
  LIBNAME import SPSS "&filesave.\FT2part.por";
  LIBNAME filesave "&filesave.";
* Import SPSS data to work library;
  DATA work.Example3; SET import.FT2part; RUN;
* Export to STATA;
  PROC EXPORT DATA=work.Example3 OUTFILE="&filesave.\FT2part.dta" DBMS=DTA REPLACE; RUN;
* Save as SAS data file;
  DATA filesave.FT2part; SET work.Example3; RUN;

* Open external file to save output to;
  ODS RTF FILE="&filesave.\SAS_Example3_Reliability_Output.rtf"
  STYLE=HTMLBLUE STARTPAGE=NO BODYTITLE;

***************************************************************************************;
TITLE1 "11-item Child Subscale";
TITLE2 "Descriptives, Correlations, and Reliability using All Available Cases";
PROC CORR DATA=work.Example3 ALPHA OUT=work.ChildCorrs; * Save correlations to dataset;
	VAR pi5 pi6 pi7 pi8 pi9 pi10 pi11 pi12 pi13 pi14 pi15;
RUN; TITLE1; TITLE2;
* Export correlations to excel for formatting;
PROC EXPORT DATA=work.ChildCorrs OUTFILE="&filesave.\ExportedCorrs.xlsx" DBMS=XLSX REPLACE; 
	SHEET="ChildCorrs"; RUN;

TITLE1 "9-item Child Subscale -- Drop 10 and 14"; 
TITLE2 "Descriptives, Correlations, and Reliability using All Available Cases";
PROC CORR DATA=work.Example3 ALPHA;
	VAR pi5 pi6 pi7 pi8 pi9 pi10 pi11 pi12 pi13 pi14 pi15;
RUN; TITLE1; TITLE2;

***************************************************************************************;
TITLE1 "12-item Family Subscale";
TITLE2 "Descriptives, Correlations, and Reliability using All Available Cases";
PROC CORR DATA=work.Example3 ALPHA OUT=work.FamilyCorrs; * Save correlations to dataset;
	VAR pi10 pi14 pi16 pi17 pi18 pi19 pi20 pi21 pi22 pi23 pi24 pi25;
RUN; TITLE1; TITLE2;
* Export correlations to excel for formatting;
PROC EXPORT DATA=work.ChildCorrs OUTFILE="&filesave.\ExportedCorrs.xlsx" DBMS=XLSX REPLACE; 
	SHEET="FamilyCorrs"; RUN;

TITLE1 "9-item Family Subscale -- drop 17, 18, 19";
TITLE2 "Descriptives, Correlations, and Reliability using All Available Cases";
PROC CORR DATA=work.Example3 ALPHA;
	VAR pi10 pi14 pi16 pi20 pi21 pi22 pi23 pi24 pi25;
RUN; TITLE1; TITLE2;

***************************************************************************************;
* Close external file of saved output;
  ODS RTF CLOSE;
