* Encoding: UTF-8.
******** EXAMPLE RELIABILITY ANALYSIS *****************.

SET PRINTBACK = OFF.

* Define location of files used in code below.
FILE HANDLE filesave /NAME = "C:\Dropbox\22_PSQF6249\FQOL and Partnership".

* Import example data.
GET FILE = "filesave/FT2part.sav".
DATASET NAME Example3 WINDOW=FRONT.

* Reliability analysis in SPSS:
    VARIABLES lists all variables to be included
    SCALE (name) = variables included or ALL
    MODEL options: alpha, split(N), guttman, parallel, strictparallel 
    STATISTICS gives item-level or scale-level stats
    SUMMARY gives more item statistics -- TOTAL gives discriminations 
.

******** CHILD SUBSCALE  ***********.

TITLE "11-item Child Subscale".
ECHO "Descriptives, Correlations, and Reliability using All Available Cases".
DESCRIPTIVES VARIABLES = pi5 pi6 pi7 pi8 pi9 pi10 pi11 pi12 pi13 pi14 pi15.
RELIABILITY
  /VARIABLES = pi5 pi6 pi7 pi8 pi9 pi10 pi11 pi12 pi13 pi14 pi15
  /SCALE(child11) = ALL
  /MODEL = ALPHA
  /STATISTICS = DESCRIPTIVE CORRELATIONS SCALE
  /SUMMARY = TOTAL .

TITLE "9-item Child Subscale -- Drop Items 10 and 14".
RELIABILITY
  /VARIABLES = pi5 pi6 pi7 pi8 pi9 pi11 pi12 pi13 pi15
  /SCALE(child9) = ALL
  /MODEL = ALPHA
  /STATISTICS = DESCRIPTIVE CORRELATIONS SCALE
  /SUMMARY = TOTAL .


******** FAMILY SUBSCALE  ***********.

TITLE "12-item Family Subscale".
ECHO "Descriptives, Correlations, and Reliability using All Available Cases".
DESCRIPTIVES VARIABLES = pi10 pi14 pi16 pi17 pi18 pi19 pi20 pi21 pi22 pi23 pi24 pi25.
RELIABILITY
  /VARIABLES = pi10 pi14 pi16 pi17 pi18 pi19 pi20 pi21 pi22 pi23 pi24 pi25
  /SCALE(family12) = ALL
  /MODEL = ALPHA
  /STATISTICS = DESCRIPTIVE CORRELATIONS SCALE
  /SUMMARY = TOTAL .

TITLE "9-item Family Subscale -- Drop Items 17, 18, and 19".
RELIABILITY
  /VARIABLES = pi10 pi14 pi16 pi20 pi21 pi22 pi23 pi24 pi25
  /SCALE(family9) = ALL
  /MODEL = ALPHA
  /STATISTICS = DESCRIPTIVE CORRELATIONS SCALE
  /SUMMARY = TOTAL .

*******************************************.
* Export Output.
OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /HTML  DOCUMENTFILE='filesave/SPSS_Example3_Output.html'
     NOTESCAPTIONS=YES INTERACTLAYERS=NO STYLING=YES  IMAGEFORMAT=JPG
  /JPG  PERCENTSIZE=100  GRAYSCALE=NO.
