// Prevent "more" messages from appearing
   set more off
// Control line length
   set linesize 150

// Paste in the folder address where data is saved between " "
   cd "C:\Dropbox\22_PSQF6249\FQOL and Partnership"

// Import STATA data
   use "FT2part.dta", clear
   
// Open external text file to save results to
   log using STATA_Example3_Reliability_Output.log, replace name(STATA_Example3)
					   
////////////////////////////////////////////////////////////////////////////////
display "11-item Child Subscale"
display "Descriptives and Correlations using All Available Cases"
summarize pi5 pi6 pi7 pi8 pi9 pi10 pi11 pi12 pi13 pi14 pi15
pwcorr    pi5 pi6 pi7 pi8 pi9 pi10 pi11 pi12 pi13 pi14 pi15

display "11-item Child Subscale"
display "Item Discriminations and Alpha Reliability using All Available Cases"
alpha pi5 pi6 pi7 pi8 pi9 pi10 pi11 pi12 pi13 pi14 pi15, label item // can add std

display "9-item Child Subscale -- Drop Items 10 and 14"
display "Item Discriminations and Alpha Reliability"
alpha pi5 pi6 pi7 pi8 pi9 pi11 pi12 pi13 pi15, item

////////////////////////////////////////////////////////////////////////////////
display "12-item Family Subscale"
display "Descriptives and Correlations using All Available Cases"
summarize pi10 pi14 pi16 pi17 pi18 pi19 pi20 pi21 pi22 pi23 pi24 pi25
pwcorr    pi10 pi14 pi16 pi17 pi18 pi19 pi20 pi21 pi22 pi23 pi24 pi25

display "12-item Family Subscale"
display "Item Discriminations and Alpha Reliability using All Available Cases"
alpha pi10 pi14 pi16 pi17 pi18 pi19 pi20 pi21 pi22 pi23 pi24 pi25, label item 

display "9-item Family Subscale -- Drop Items 17, 18, and 19"
display "Item Discriminations and Alpha Reliability using All Available Cases"
alpha pi10 pi14 pi16 pi20 pi21 pi22 pi23 pi24 pi25, label item 

////////////////////////////////////////////////////////////////////////////////
// Close external text file of saved results
   log close STATA_Example3



